stable

libmodulemd-1.3.0-2.fc27

FEDORA-2018-59d7f7af7d created by sgallagh 5 years ago for Fedora 27

Fix serious issue with the libmodulemd modulemd-defaults emitter causing corrupted repodata.


Update to version 1.3.0

  • New Public Objects:

    • Modulemd.Prioritizer - tool to merge module defaults
  • New Public Functions:

    • Modulemd.SimpleSet.is_equal()
    • Modulemd.Defaults.copy()
    • Modulemd.Defaults.merge()

How to install

Updates may require up to 24 hours to propagate to mirrors. If the following command doesn't work, please retry later:

sudo dnf upgrade --refresh --advisory=FEDORA-2018-59d7f7af7d

This update has been submitted for testing by sgallagh.

5 years ago

This update has obsoleted libmodulemd-1.3.0-1.fc27, and has inherited its bugs and notes.

5 years ago
User Icon psabata commented & provided feedback 5 years ago
karma

Tested with pungi.

This update has been submitted for stable by bodhi.

5 years ago

This update has been pushed to stable.

5 years ago

Please login to add feedback.

Metadata
Type
bugfix
Severity
urgent
Karma
1
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
1
Stable by Time
disabled
Dates
submitted
5 years ago
in stable
5 years ago
BZ#1567921 libmodulemd emits modulemd-defaults with incorrect keys
0
0

Automated Test Results